# query-string-parse

a lightweight es6 utility for transforming query string parameters

[![Build Status][build-badge]][build]
[![Code Coverage][coverage-badge]][coverage]
[![version][version-badge]][package] [![downloads][downloads-badge]][npmtrends]
[![MIT License][license-badge]][license]

# more documentation is coming soon 😀

## Usage

```javascript
import { parser } from "query-string-parse";

// to get query params from url use
// const input = window.location.search

const input = "?valueOne=one&valueTwo=two";

const queryStrings = parser(input);

// will return
// { valueOne: "one", valueTwo: "two" }
```

Please feel free to raise issues and remember to star this repo!

Thanks!

## Current functionality

- handles query string with leading '?'
- handles query string without leading '?'
- ensures input is valid (type === string)

[build-badge]: https://travis-ci.org/jackmoran1992/query-string-parse.svg?branch=master
[build]: https://travis-ci.org/jackmoran1992/query-string-parse
[coverage-badge]: https://codecov.io/gh/jackmoran1992/query-string-parse/branch/master/graph/badge.svg
[coverage]: https://codecov.io/gh/jackmoran1992/query-string-parse
[version-badge]: https://img.shields.io/npm/v/query-string-parse.svg?style=flat-square
[package]: https://www.npmjs.com/package/query-string-parse
[license-badge]: https://img.shields.io/npm/l/query-string-parse.svg?style=flat-square
[license]: https://github.com/jackmoran1992/query-string-parse/blob/master/LICENSE
[downloads-badge]: https://img.shields.io/npm/dm/query-string-parse.svg?style=flat-square
[npmtrends]: http://www.npmtrends.com/query-string-parse
